aboutsummaryrefslogtreecommitdiff
path: root/test/test_suite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test_suite.sh')
-rwxr-xr-xtest/test_suite.sh59
1 files changed, 50 insertions, 9 deletions
diff --git a/test/test_suite.sh b/test/test_suite.sh
index ebbe4c7..625298e 100755
--- a/test/test_suite.sh
+++ b/test/test_suite.sh
@@ -2,9 +2,43 @@
gemma=../bin/gemma
+testCenteredRelatednessMatrixKFullLOCO1() {
+ outn=mouse_hs1940_full_LOCO1
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -a ../example/mouse_hs1940.anno.txt \
+ -loco 1 -gk -debug -o $outn
+ assertEquals 0 $?
+ grep "total computation time" < output/$outn.log.txt
+ outfn=output/$outn.cXX.txt
+ assertEquals 0 $?
+ assertEquals "1940" `wc -l < $outfn`
+ assertEquals "2246.57" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
+testUnivariateLinearMixedModelFullLOCO1() {
+ outn=mouse_hs1940_CD8_full_LOCO1_lmm
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -n 1 \
+ -loco 1 \
+ -a ../example/mouse_hs1940.anno.txt \
+ -k ./output/mouse_hs1940_full_LOCO1.cXX.txt \
+ -lmm \
+ -debug \
+ -o $outn
+ assertEquals 0 $?
+ grep "total computation time" < output/$outn.log.txt
+ assertEquals 0 $?
+ outfn=output/$outn.assoc.txt
+ assertEquals "951" `wc -l < $outfn`
+ assertEquals "267509369.79" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
testCenteredRelatednessMatrixK() {
- $gemma -g ../example/mouse_hs1940.geno.txt.gz -p ../example/mouse_hs1940.pheno.txt \
- -a ../example/mouse_hs1940.anno.txt -gk -o mouse_hs1940
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -gk -o mouse_hs1940
assertEquals 0 $?
grep "total computation time" < output/mouse_hs1940.log.txt
assertEquals 0 $?
@@ -12,24 +46,31 @@ testCenteredRelatednessMatrixK() {
assertEquals "1940" `wc -l < $outfn`
assertEquals "3763600" `wc -w < $outfn`
assertEquals "0.335" `head -c 5 $outfn`
- assertEquals "24.9799" `perl -nle '$sum += substr($_,0,6) } END { print $sum' $outfn`
+ assertEquals "1119.64" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
}
testUnivariateLinearMixedModel() {
- $gemma -g ../example/mouse_hs1940.geno.txt.gz -p ../example/mouse_hs1940.pheno.txt -n 1 \
- -a ../example/mouse_hs1940.anno.txt -k ./output/mouse_hs1940.cXX.txt -lmm \
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -n 1 \
+ -a ../example/mouse_hs1940.anno.txt \
+ -k ./output/mouse_hs1940.cXX.txt \
+ -lmm \
-o mouse_hs1940_CD8_lmm
assertEquals 0 $?
grep "total computation time" < output/mouse_hs1940_CD8_lmm.log.txt
assertEquals 0 $?
outfn=output/mouse_hs1940_CD8_lmm.assoc.txt
assertEquals "118459" `wc -w < $outfn`
- assertEquals "92047" `perl -nle '$sum += substr($_,0,6) } END { print $sum' $outfn`
+ assertEquals "4038557453.62" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
}
testMultivariateLinearMixedModel() {
- $gemma -g ../example/mouse_hs1940.geno.txt.gz -p ../example/mouse_hs1940.pheno.txt \
- -n 1 6 -a ../example/mouse_hs1940.anno.txt -k ./output/mouse_hs1940.cXX.txt \
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -n 1 6 \
+ -a ../example/mouse_hs1940.anno.txt \
+ -k ./output/mouse_hs1940.cXX.txt \
-lmm -o mouse_hs1940_CD8MCH_lmm
assertEquals 0 $?
grep "total computation time" < output/mouse_hs1940_CD8MCH_lmm.log.txt
@@ -37,7 +78,7 @@ testMultivariateLinearMixedModel() {
outfn=output/mouse_hs1940_CD8MCH_lmm.assoc.txt
assertEquals "139867" `wc -w < $outfn`
- assertEquals "92079" `perl -nle '$sum += substr($_,0,6) } END { print $sum' $outfn`
+ assertEquals "4029037056.54" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
}
shunit2=`which shunit2`